# ubixDiskLabel Struct Reference

Partition Information. More...

`#include <ubixfs.h>`

## Data Fields

uInt32 | magicNum
uInt16 | numPartitions
ubixDiskLabel::drivePartitions | partitions [MAXPARTITIONS]

## Detailed Description

Partition Information.

## Field Documentation

uInt32 ubixDiskLabel::magicNum

| Should be UBIXDISKMAGIC uInt32 magicNum2; uInt16 driveType; /*!< Type of drive

uInt16 ubixDiskLabel::numPartitions

| Number of partitions in the drive

struct ubixDiskLabel::drivePartitions ubixDiskLabel::partitions[MAXPARTITIONS]

| the partition table

The documentation for this struct was generated from the following file:

- ubixfs.h